Skip to content

Return the details of a single post within a feed

Request

Provides the data for a single post in a user’s feed. The post must be visible to the user or a 404 Not Found response will be returned. Upon enabling expanded reactions types, the response will include the additional reaction types.

Security
oauth2_as_a_user(Required scopes: feeds.read)
Path
content_idintegerrequired

ID of the detailed post

Query
localestring

locale (for translatable posts)

curl -i -X GET \
  'https://partner.socialchorus.com/v2/feed/posts/{content_id}?locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataobject(Reactions.Fields)

Reaction counts and expanded reaction types for a post.

Response
{ "data": { "id": 456, "uuid": "8b358e6b-11d4-4e89-bf7f-ec670e3398ed", "version": 1, "content_type": "article", "title": "Example Post Title", "summary": "Example Post Summary", "body": "Example post body", "accent_color": "string", "author": {}, "channels": [], "engagement": {}, "updated_at": "2000-01-01T00:00:00Z", "published_at": "2000-01-01T00:00:00Z", "visibility": "public", "featured": true, "featured_label": "Save Pandora!", "permalink_url": "https://onfirstup.com/acme/acmetimes/sc4#contents/456", "shareable_url": "https://onfirstup.com/acme/acmetimes/sc4#contents/456", "prepopulated_share_message": "Example Post Title https://onfirstup.com/acme/acmetimes/sc4#contents/456", "appended_hashtag": "string", "language": "en", "is_translatable": true, "is_commentable": true, "comment_count": 5, "poster_image_url": "https://cdn.example.com/acme/acmetimes/images/abc123", "links": [], "images": [], "videos": [], "reaction_counts": {}, "expanded_reactions": [] } }